| pepdigest

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Report on protein proteolytic enzyme or reagent cleavage sites

## Description

This programs allows you to input one or more protein sequences and to specify one proteolytic agent from a list, which might be a proteolytic enzyme or other reagent. It will then write a report file containing the positions where the agent cuts, together with the peptides produced.

## Algorithm

By default pepdigest uses average molecular weights. The `-mono` option will use monoisotopic weights.

## Usage

Here is a sample session with pepdigest

    % pepdigest
    Report on protein proteolytic enzyme or reagent cleavage sites
    Input protein sequence(s): tsw:opsd_human
    Enzymes and Reagents
             1 : Trypsin
             2 : Lys-C
             3 : Arg-C
             4 : Asp-N
             5 : V8-bicarb
             6 : V8-phosph
             7 : Chymotrypsin
             8 : CNBr
    Select number [1]:
    Use monoisotopic weights [N]:
    Output report [opsd_human.pepdigest]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Report on protein proteolytic enzyme or reagent cleavage sites
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers:
      [-seqall]            seqall     Protein sequence(s) filename and optional
                                      format, or reference (input USA)
       -menu               menu       [1] Select number (Values: 1 (Trypsin); 2
                                      (Lys-C); 3 (Arg-C); 4 (Asp-N); 5
                                      (V8-bicarb); 6 (V8-phosph); 7
                                      (Chymotrypsin); 8 (CNBr))
       -mono               boolean    [N] Use monoisotopic weights
      [-outfile]           report     [*.pepdigest] Output report file name
                                      (default -rformat seqtable)

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -mwdata             datafile   [Emolwt.dat] Molecular weight data for amino
                                      acids
       -unfavoured         boolean    Trypsin will not normally cut after 'KR' if
                                      they are followed by any of 'KRIFLP'. Lys-C
                                      will not normally cut after 'K' if it is
                                      followed by 'P'. Arg-C will not normally cut
                                      after 'R' if it is followed by 'P'.
                                      V8-bicarb will not normally cut after 'E' if
                                      it is followed by any of 'KREP'. V8-phosph
                                      will not normally cut after 'DE' if they are
                                      followed by 'P'. Chymotrypsin will not
                                      normally cut after 'FYWLM' if they are
                                      followed by 'P'. Specifying unfavoured shows
                                      these unfavoured cuts as well as the
                                      favoured ones.
       -ragging            boolean    Allows semi-specific and non-specific
                                      digestion. This option is particularly
                                      useful for generating lists of peptide
                                      sequences for protein identification using
                                      mass-spectrometry.
       -termini            menu       [1] Select number (Values: 1 (none); 2
                                      (nterm); 3 (cterm); 4 (nterm OR cterm))
       -overlap            boolean    Used for partial digestion. Shows all cuts
                                      from favoured cut sites plus 1..3, 2..4,
                                      3..5 etc but not (e.g.) 2..5. Overlaps are
                                      therefore fragments with exactly one
                                      potential cut site within it.
       -allpartials        boolean    As for overlap but fragments containing more
                                      than one potential cut site are included.

       Associated qualifiers:

       "-seqall" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -rformat2           string     Report format
       -rname2             string     Base file name
       -rextension2        string     File name extension
       -rdirectory2        string     Output directory
       -raccshow2          boolean    Show accession number in the report
       -rdesshow2          boolean    Show description in the report
       -rscoreshow2        boolean    Show the score in the report
       -rstrandshow2       boolean    Show the nucleotide strand in the report
       -rusashow2          boolean    Show the full USA in the report
       -rmaxall2           integer    Maximum total hits to report
       -rmaxseq2           integer    Maximum hits to report for one sequence

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-seqall] (Parameter 1) | seqall | Protein sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required

-menu

list

Select number

1 | (Trypsin)
2 | (Lys-C)
3 | (Arg-C)
4 | (Asp-N)
5 | (V8-bicarb)
6 | (V8-phosph)
7 | (Chymotrypsin)
8 | (CNBr)

1

-mono | boolean | Use monoisotopic weights | Boolean value Yes/No | No
[-outfile] (Parameter 2) | report | Output report file name | (default -rformat seqtable) | <*>.pepdigest
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-mwdata | datafile | Molecular weight data for amino acids | Data file | Emolwt.dat

-unfavoured

boolean

Trypsin will not normally cut after 'KR' if they are followed by any of 'KRIFLP'. Lys-C will not normally cut after 'K' if it is followed by 'P'. Arg-C will not normally cut after 'R' if it is followed by 'P'. V8-bicarb will not normally cut after 'E' if it is followed by any of 'KREP'. V8-phosph will not normally cut after 'DE' if they are followed by 'P'. Chymotrypsin will not normally cut after 'FYWLM' if they are followed by 'P'. Specifying unfavoured shows these unfavoured cuts as well as the favoured ones.

Boolean value Yes/No

No

-ragging | boolean | Allows semi-specific and non-specific digestion. This option is particularly useful for generating lists of peptide sequences for protein identification using mass-spectrometry. | Boolean value Yes/No | No

-termini

list

Select number

1 | (none)
2 | (nterm)
3 | (cterm)
4 | (nterm OR cterm)

1

-overlap | boolean | Used for partial digestion. Shows all cuts from favoured cut sites plus 1..3, 2..4, 3..5 etc but not (e.g.) 2..5. Overlaps are therefore fragments with exactly one potential cut site within it. | Boolean value Yes/No | No
-allpartials | boolean | As for overlap but fragments containing more than one potential cut site are included. | Boolean value Yes/No | No
Associated qualifiers
"-seqall" associated seqall qualifiers
-sbegin1 -sbegin_seqall | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_seqall | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_seqall | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_seqall | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_seqall | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_seqall | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_seqall | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_seqall | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_seqall | boolean | Sequence is circular | Boolean value Yes/No | N
-sformat1 -sformat_seqall | string | Input sequence format | Any string |
-iquery1 -iquery_seqall | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_seqall | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_seqall | string | Database name | Any string |
-sid1 -sid_seqall | string | Entryname | Any string |
-ufo1 -ufo_seqall | string | UFO features | Any string |
-fformat1 -fformat_seqall | string | Features format | Any string |
-fopenfile1 -fopenfile_seqall | string | Features file name | Any string |
"-outfile" associated report qualifiers
-rformat2 -rformat_outfile | string | Report format | Any string | seqtable
-rname2 -rname_outfile | string | Base file name | Any string |
-rextension2 -rextension_outfile | string | File name extension | Any string |
-rdirectory2 -rdirectory_outfile | string | Output directory | Any string |
-raccshow2 -raccshow_outfile | boolean | Show accession number in the report | Boolean value Yes/No | N
-rdesshow2 -rdesshow_outfile | boolean | Show description in the report | Boolean value Yes/No | N
-rscoreshow2 -rscoreshow_outfile | boolean | Show the score in the report | Boolean value Yes/No | Y
-rstrandshow2 -rstrandshow_outfile | boolean | Show the nucleotide strand in the report | Boolean value Yes/No | Y
-rusashow2 -rusashow_outfile | boolean | Show the full USA in the report | Boolean value Yes/No | N
-rmaxall2 -rmaxall_outfile | integer | Maximum total hits to report | Any integer value | 0
-rmaxseq2 -rmaxseq_outfile | integer | Maximum hits to report for one sequence | Any integer value | 0
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

Any protein sequence.

### Input files for usage example

'tsw:opsd_human' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:opsd_human

    ID   OPSD_HUMAN              Reviewed;         348 AA.
    AC   P08100; Q16414; Q2M249;
    DT   01-AUG-1988, integrated into UniProtKB/Swiss-Prot.
    DT   01-AUG-1988, sequence version 1.
    DT   13-JUN-2012, entry version 145.
    DE   RecName: Full=Rhodopsin;
    DE   AltName: Full=Opsin-2;
    GN   Name=RHO; Synonyms=OPN2;
    OS   Homo sapiens (Human).
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi;
    OC   Mammalia; Eutheria; Euarchontoglires; Primates; Haplorrhini;
    OC   Catarrhini; Hominidae; Homo.
    OX   NCBI_TaxID=9606;
    RN   [1]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RX   MEDLINE=84272729; PubMed=6589631; DOI=10.1073/pnas.81.15.4851;
    RA   Nathans J., Hogness D.S.;
    RT   "Isolation and nucleotide sequence of the gene encoding human
    RT   rhodopsin.";
    RL   Proc. Natl. Acad. Sci. U.S.A. 81:4851-4855(1984).
    RN   [2]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RA   Suwa M., Sato T., Okouchi I., Arita M., Futami K., Matsumoto S.,
    RA   Tsutsumi S., Aburatani H., Asai K., Akiyama Y.;
    RT   "Genome-wide discovery and analysis of human seven transmembrane helix
    RT   receptor genes.";
    RL   Submitted (JUL-2001) to the EMBL/GenBank/DDBJ databases.
    RN   [3]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE MRNA].
    RC   TISSUE=Retina;
    RX   PubMed=17974005; DOI=10.1186/1471-2164-8-399;
    RA   Bechtel S., Rosenfelder H., Duda A., Schmidt C.P., Ernst U.,
    RA   Wellenreuther R., Mehrle A., Schuster C., Bahr A., Bloecker H.,
    RA   Heubner D., Hoerlein A., Michel G., Wedler H., Koehrer K.,
    RA   Ottenwaelder B., Poustka A., Wiemann S., Schupp I.;
    RT   "The full-ORF clone resource of the German cDNA consortium.";
    RL   BMC Genomics 8:399-399(2007).
    RN   [4]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE MRNA].
    RX   PubMed=15489334; DOI=10.1101/gr.2596504;
    RG   The MGC Project Team;
    RT   "The status, quality, and expansion of the NIH full-length cDNA
    RT   project: the Mammalian Gene Collection (MGC).";
    RL   Genome Res. 14:2121-2127(2004).
    RN   [5]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA] OF 1-120.
    RX   PubMed=8566799; DOI=10.1016/0378-1119(95)00688-5;
    RA   Bennett J., Beller B., Sun D., Kariko K.;
    RT   "Sequence analysis of the 5.34-kb 5' flanking region of the human
    RT   rhodopsin-encoding gene.";

      [Part of this file has been deleted for brevity]

    FT                                /FTId=VAR_004816.
    FT   VARIANT     209    209       V -> M (effect not known).
    FT                                /FTId=VAR_004817.
    FT   VARIANT     211    211       H -> P (in RP4; dbSNP:rs28933993).
    FT                                /FTId=VAR_004818.
    FT   VARIANT     211    211       H -> R (in RP4).
    FT                                /FTId=VAR_004819.
    FT   VARIANT     216    216       M -> K (in RP4).
    FT                                /FTId=VAR_004820.
    FT   VARIANT     220    220       F -> C (in RP4).
    FT                                /FTId=VAR_004821.
    FT   VARIANT     222    222       C -> R (in RP4).
    FT                                /FTId=VAR_004822.
    FT   VARIANT     255    255       Missing (in RP4).
    FT                                /FTId=VAR_004823.
    FT   VARIANT     264    264       Missing (in RP4).
    FT                                /FTId=VAR_004824.
    FT   VARIANT     267    267       P -> L (in RP4).
    FT                                /FTId=VAR_004825.
    FT   VARIANT     267    267       P -> R (in RP4).
    FT                                /FTId=VAR_004826.
    FT   VARIANT     292    292       A -> E (in CSNBAD1).
    FT                                /FTId=VAR_004827.
    FT   VARIANT     296    296       K -> E (in RP4; dbSNP:rs29001653).
    FT                                /FTId=VAR_004828.
    FT   VARIANT     297    297       S -> R (in RP4).
    FT                                /FTId=VAR_004829.
    FT   VARIANT     342    342       T -> M (in RP4).
    FT                                /FTId=VAR_004830.
    FT   VARIANT     345    345       V -> L (in RP4).
    FT                                /FTId=VAR_004831.
    FT   VARIANT     345    345       V -> M (in RP4).
    FT                                /FTId=VAR_004832.
    FT   VARIANT     347    347       P -> A (in RP4).
    FT                                /FTId=VAR_004833.
    FT   VARIANT     347    347       P -> L (in RP4; common variant).
    FT                                /FTId=VAR_004834.
    FT   VARIANT     347    347       P -> Q (in RP4).
    FT                                /FTId=VAR_004835.
    FT   VARIANT     347    347       P -> R (in RP4; dbSNP:rs29001566).
    FT                                /FTId=VAR_004836.
    FT   VARIANT     347    347       P -> S (in RP4; dbSNP:rs29001637).
    FT                                /FTId=VAR_004837.
    SQ   SEQUENCE   348 AA;  38893 MW;  6F4F6FCBA34265B2 CRC64;
         MNGTEGPNFY VPFSNATGVV RSPFEYPQYY LAEPWQFSML AAYMFLLIVL GFPINFLTLY
         VTVQHKKLRT PLNYILLNLA VADLFMVLGG FTSTLYTSLH GYFVFGPTGC NLEGFFATLG
         GEIALWSLVV LAIERYVVVC KPMSNFRFGE NHAIMGVAFT WVMALACAAP PLAGWSRYIP
         EGLQCSCGID YYTLKPEVNN ESFVIYMFVV HFTIPMIIIF FCYGQLVFTV KEAAAQQQES
         ATTQKAEKEV TRMVIIMVIA FLICWVPYAS VAFYIFTHQG SNFGPIFMTI PAFFAKSAAI
         YNPVIYIMMN KQFRNCMLTT ICCGKNPLGD DEASATVSKT ETSQVAPA
    //

## Output file format

The output is a standard EMBOSS report file.

The results can be output in one of several styles by using the command-line qualifier `-rformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: embl, genbank, gff, pir, swiss, dasgff, debug, listfile, dbmotif, diffseq, draw, restrict, excel, feattable, motif, nametable, regions, seqtable, simple, srs, table, tagseq.

See: http://emboss.sf.net/docs/themes/ReportFormats.html for further information on report formats.

By default pepdigest writes a 'seqtable' report file.

### Output files for usage example

### File: opsd_human.pepdigest

    ########################################
    # Program: pepdigest
    # Rundate: Sun 15 Jul 2012 12:00:00
    # Commandline: pepdigest
    #    -seqall tsw:opsd_human
    # Report_format: seqtable
    # Report_file: opsd_human.pepdigest
    ########################################

    #=======================================
    #
    # Sequence: OPSD_HUMAN     from: 1   to: 348
    # HitCount: 14
    #
    # Complete digestion with Trypsin yields 14 fragments
    #
    #=======================================

      Start     End Mol_Weight Cterm  Nterm  Sequence
         70     135   7129.344 R      Y      TPLNYILLNLAVADLFMVLGGFTSTLYTSLHGYFVFGPTGCNLEGFFATLGGEIALWSLVVLAIER
        178     231   6335.517 R      E      YIPEGLQCSCGIDYYTLKPEVNNESFVIYMFVVHFTIPMIIIFFCYGQLVFTVK
         22      69   5788.894 R      T      SPFEYPQYYLAEPWQFSMLAAYMFLLIVLGFPINFLTLYVTVQHKKLR
        253     296   5004.103 R      S      MVIIMVIAFLICWVPYASVAFYIFTHQGSNFGPIFMTIPAFFAK
        136     177   4600.476 R      Y      YVVVCKPMSNFRFGENHAIMGVAFTWVMALACAAPPLAGWSR
          1      21   2257.506 .      S      MNGTEGPNFYVPFSNATGVVR
        297     311   1728.097 K      Q      SAAIYNPVIYIMMNK
        232     245   1490.547 K      A      EAAAQQQESATTQK
        326     339   1403.466 K      T      NPLGDDEASATVSK
        315     325   1186.483 R      N      NCMLTTICCGK
        340     348    902.957 K      .      TETSQVAPA
        249     252    503.556 K      M      EVTR
        312     314    449.510 K      N      QFR
        246     248    346.384 K      E      AEK

    #---------------------------------------
    #---------------------------------------

The header information contains the program name, date of run, name of the reagent used to digest the protein and the number of fragments reported. The header will report if complete or partial digestion was chosen.

The rest of the file consists of columns holding the following data:

- The start position of the fragment
- The end position of the fragment
- The molecular weight of the fragment
- The residue before the cut site ('.' if start of sequence)
- The residue after the second cut site ('.' if end of sequence)
- The sequence of the fragment.

## Data files

None.

## Notes

If you wish to emulate a partial digestion, then using the `-overlap` qualifier will display the results from a digest in which all cut sites are used and in which one site at a time is not cut. Thus the resulting peptide fragments from the cut sites numbered 1, 2, 3, 4 etc. are shown, plus the fragments produced by cutting at the sites 1 to 3, 2 to 4, etc. In other words, this option will reveal fragments containing one potential cut site.

If you wish to emulate a very partial digestion (!) then using the `-allpartials` qualifier will do what -overlap did, but also show all possible fragments from using all possible combinations of cut sites. For example, fragments from the cut sites numbered 1, 2, 3, 4, 5 and from the fragments produced by cutting between sites 1..3, 1..4, 1..5, 2..4, 2..5, 3..5, etc. In other words, this option will reveal fragments containing one or more potential cut site.

If the boolean `-ragging` is specified then terminal digest fragments are also shown; this can be useful for mass spectrometry. Ragging is further controlled by the `-termini` option which allows you to select removal of residues from the N and/or C termini.

Each proteolytic enzyme has favoured as well as unfavoured cut sites. For example, Trypsin will not normally cut after a K if it is followed by (e.g.) another K or a P. By default, only data for favoured cut sites is generated. Specifying the qualifier `-unfavoured` produces data for unfavoured cut sites as well.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranambig | Back-translate a protein sequence to ambiguous nucleotide sequence
backtranseq | Back-translate a protein sequence to a nucleotide sequence
compseq | Calculate the composition of unique words in sequences
emowse | Search protein sequences by digest fragment molecular weight
freak | Generate residue/base frequency table or plot
mwcontam | Find weights common to multiple molecular weights files
mwfilter | Filter noisy data from molecular weights file
oddcomp | Identify proteins with specified sequence word composition
pepinfo | Plot amino acid properties of a protein sequence in parallel
pepstats | Calculate statistics of protein properties
wordcount | Count and extract unique words in molecular sequence(s)

## Author(s)

Alan Bleasby
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Written (1999) - Alan Bleasby

Renamed (2011) from digest to pepdigest to avoid a name clash with another utility.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None